{% extends 'base.html.twig' %}

{% block title %}Hello CartController!{% endblock %}

{% block content %}
    <table class="table">
        <thead>
        <tr>
            <th scope="col">Product name</th>
            <th scope="col">Price</th>
            <th scope="col">Image</th>
            <th scope="col">Quantity</th>
        </tr>
        </thead>
        <tbody>
        {% for  cartItem in cartItems %}
            <tr>
                <td scope="row">{{ cartItem.item.name }}</td>
                <td>{{ cartItem.item.price }}</td>
                <td><img src="{{ asset('images/'~cartItem.item.imgUrl) }}" style="width: 100px"></td>
                <td>{{ cartItem.qty }}</td>
            </tr>
        {% endfor %}
        <tr>
            <td colspan="2">
                <button onclick="window.location.href='{{ path('cart_clear') }}'">Clear cart</button>
            </td>
            <td colspan="2" style="text-align: right">
                <button onclick="window.location.href='{{ path('orders_add') }}'">Place order</button>
            </td>
        </tr>
        </tbody>
    </table>
{% endblock %}
